Skip to main content
`Ctrl`+`K`

# MatCreateDenseHIP

Creates a matrix in `MATDENSEHIP` format using HIP.

## Synopsis

    PetscErrorCode MatCreateDenseHIP(MPI_Comm comm, PetscInt m, PetscInt n, PetscInt M, PetscInt N, PetscScalar *data, Mat *A)

Collective

## Input Parameters

- comm - MPI communicator

- m - number of local rows (or `PETSC_DECIDE` to have calculated if `M` is given)

- n - number of local columns (or `PETSC_DECIDE` to have calculated if `N` is given)

- M - number of global rows (or `PETSC_DECIDE` to have calculated if `m` is given)

- N - number of global columns (or `PETSC_DECIDE` to have calculated if `n` is given)

- data - optional location of GPU matrix data. Pass `NULL` to have PETSc to control matrix memory allocation.

## Output Parameter

- A - the matrix

## See Also

`MATDENSEHIP`, `MatCreate()`, `MatCreateDense()`

## Level

intermediate

## Location

src/mat/impls/dense/mpi/cupm/hip/matmpidensehip.hip.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages